Bug 62867 - Word wrap does not work properly when image is left of the left margin.
Summary: Word wrap does not work properly when image is left of the left margin.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.1.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Anchor-and-Text-Wrap
  Show dependency treegraph
 
Reported: 2013-03-28 14:23 UTC by Michael
Modified: 2018-10-24 20:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example of an image, inserted to the left of 2 inch margin, showing margin applied to the right of the image. (68.49 KB, image/png)
2013-03-28 14:23 UTC, Michael
Details
Example of an image, inserted to the left of 2 inch margin, showing margin applied to the right of the image. (68.49 KB, image/png)
2013-03-28 15:38 UTC, Michael
Details
Picture of right margin - OK (73.86 KB, image/png)
2013-03-28 15:40 UTC, Michael
Details
Actual Document attached. (24.62 KB, application/vnd.oasis.opendocument.text)
2013-03-28 15:49 UTC, Michael
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael 2013-03-28 14:23:27 UTC
Created attachment 77155 [details]
Example of an image, inserted to the left of 2 inch margin, showing margin applied to the right of the image.

I have my margin set at 2 inches.

If I place an image at 2 inches (or more) the word wrap works as expected.

If I place an image a 1.5 inches (or less than 2 inches) the 2 inch margin is applied to the right and I have a 2 inch gap before the text starts.  I expected the text to wrapping to work as it does when the picture is moved past the left margin. (See picture attached of image at 1.5" and indent of 2").

Is there any way around this?
Comment 1 Michael 2013-03-28 15:38:33 UTC
Created attachment 77159 [details]
Example of an image, inserted to the left of 2 inch margin, showing margin applied to the right of the image.
Comment 2 Michael 2013-03-28 15:40:05 UTC
Created attachment 77160 [details]
Picture of right margin - OK
Comment 3 Joel Madero 2013-03-28 15:43:43 UTC
Please attach the actual document so that we can look at the xml data. 

Marking as NEEDINFO - once you attach the document mark as UNCONFIRMED and we will take a look at it.

As for a workaround, I would recommend going to ask site or mailing list as those are more appropriate places to ask about workarounds.

Thanks!
Comment 4 Michael 2013-03-28 15:49:42 UTC
Created attachment 77162 [details]
Actual Document attached.
Comment 5 Michael 2013-03-28 15:56:05 UTC
Actual Document attached - as requested!  

Image is to the right of the indentation at this time (Text looks good).

Move the image to the left of the margin, and the margin jumps to the right side of the image (as shown in photo attached).

Thanks 

- I will check with the mailing list for a work around - Thanks for that too.

Status changed to unconfirmed.
Comment 6 Steve Edmonds 2013-04-10 21:23:56 UTC
I can verify this bug in LO 3.6
Steve
Comment 7 flamingdescent 2013-06-25 02:48:33 UTC
I can confirm this bug with LibreOffice 4.0.2.2 on Ubuntu 13.04, so I changed the status to NEW. I'm guessing having the paragraph margin move to the right of the picture looks unprofessional, so I kept this bug's importance as "medium normal". Thanks for reporting this bug!
Comment 8 QA Administrators 2015-04-19 03:20:27 UTC Comment hidden (obsolete)
Comment 9 flamingdescent 2015-04-19 12:22:33 UTC
This bug is still present in LibreOffice 4.4.2.2 on Ubuntu 14.10. There are no changes in bug behavior.
Comment 10 QA Administrators 2016-09-20 09:32:28 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920